
<div class="card" >


    <!-- <div class="ibox-title mb-2">
 
       <div class="ibox-title-child" style="display: inline-block">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TITLE'|translate}}</div>
     </div> -->
    <div class="card-body p-2">
 
      
 
                <!-- task -->
                <table class="table" *ngFor="let incident of incidentList  ">
                  <tbody>
                    <tr>
                      <th class="col-md-5" scope="row">{{incident.objet}}</th>
                      <td class="col-md-3" >{{incident.dateDeclaration | date : pipeParameters.date.formatNoTime}}</td>
                      <td   class="col-md-2"  [ngStyle]="incident.statut === 'A_FAIRE'  ? { color:'green' } : incident.statut === 'EN_COURS' ? { color:'blue' } : { color:'red' }">{{incident.statut}}</td>
                    </tr>  
                  </tbody>
                </table>

   
 
       <!-- no data found msg -->
       <div *ngIf="(!incidentList || incidentList.length === 0) "
             class="alert alert-primary text-center" role="alert">
          <div class="iq-alert-icon text-center">
                <i class="ri-information-line"></i>
          </div>
          <div class="iq-alert-text">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.NO_DATA'|translate}}</div>
       </div>
 
    </div>
 </div>
 